<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_EditUser.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_EditUser" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<%--<asp:UpdatePanel ID="_upEditUser" runat="server">
    <contenttemplate>--%>

    <asp:Panel ID="_pnlMessage" runat="server" />

    <table id="_tblUserEdit" runat="server" width="100%">
        <tr>
            <td>
                <dnn:sectionhead id="dshUserInfo" includerule="True" resourcekey="dshUserInfo" IsExpanded="true"
                    section="_tblUserInfo" cssclass="Head" runat="server" />
                <table id="_tblUserInfo" runat="server">
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblUserName" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblUserNameVal" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    
                    
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblCreatedDate" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblCreatedDate" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastLoginDate" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblLastLoginDate" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastActivityDate" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblLastActivityDate" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastPasswordChange" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblLastPasswordChange" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastLockoutDate" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblLastLockoutDate" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastModifiedDate" runat="server" resource="width" controlname="" suffix=":" />
                        </td>
                        <td>
                            <asp:Label ID="_lblLastModifiedDate" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblFirstName" runat="server" controlname="_txtFirstName" suffix=":" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtFirstName" TabIndex="1" runat="server" CssClass="NormalTextBox"
                                size="25" MaxLength="50" ValidationGroup="gruUserInfo" />
                            <asp:RequiredFieldValidator ID="_valFirstName" ControlToValidate="_txtFirstName" CssClass="NormalRed"
                                runat="server" resourcekey="_valFirstName" Display="Dynamic" ErrorMessage="<br>First Name Is Required." />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblLastName" runat="server" controlname="_txtLastName" suffix=":" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtLastName" TabIndex="2" runat="server" CssClass="NormalTextBox"
                                size="25" MaxLength="50" ValidationGroup="gruUserInfo" />
                            <asp:RequiredFieldValidator ID="_valLastName" ControlToValidate="_txtLastName" CssClass="NormalRed"
                                runat="server" resourcekey="_valLastName" Display="Dynamic" ErrorMessage="<br>Last Name Is Required." />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblDisplayName" runat="server" resource="width" controlname="_txtDisplayName" suffix=":" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtDisplayName" TabIndex="2" runat="server" CssClass="NormalTextBox"
                                size="25" MaxLength="50" ValidationGroup="gruUserInfo" />
                            <asp:RequiredFieldValidator ID="_valDisplayName" ControlToValidate="_txtDisplayName"
                                CssClass="NormalRed" runat="server" resourcekey="_valDisplayName" Display="Dynamic"
                                ErrorMessage="<br>Display Name Is Required." />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap>
                            <dnn:label id="lblEmail" runat="server" controlname="_txtEmail" suffix=":" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtEmail" TabIndex="6" runat="server" CssClass="NormalTextBox"
                                size="25" MaxLength="100" ValidationGroup="gruUserInfo" />
                            <asp:RequiredFieldValidator ID="_valEmail" ControlToValidate="_txtEmail" CssClass="NormalRed"
                                runat="server" resourcekey="_valEmail" Display="Dynamic" ErrorMessage="<br>Email Is Required." />
                            <asp:RegularExpressionValidator ID="_valEmail2" runat="server" resourcekey="valEmail2.ErrorMessage"
                                CssClass="NormalRed" ControlToValidate="_txtEmail" Display="Dynamic" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead"  nowrap>
                            <dnn:Label id="lblPassword" runat="server" controlname="_txtPassword" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtPassword" TabIndex="4" CssClass="NormalTextBox" MaxLength="20"
                                size="25" runat="server" TextMode="Password"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="_valPassword" runat="server" CssClass="NormalRed"
                                ControlToValidate="_txtPassword" ErrorMessage="<br>Password Is Required." Display="Dynamic"
                                resourcekey="_valPassword"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead">
                            <dnn:Label id="lblConfirmPassword" runat="server" controlname="_txtConfirm" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtConfirm" TabIndex="5" CssClass="NormalTextBox" MaxLength="20"
                                size="25" runat="server" TextMode="Password" />
                            <asp:RequiredFieldValidator ID="_valConfirm1" runat="server" CssClass="NormalRed"
                                ControlToValidate="_txtConfirm" ErrorMessage="<br>Password Confirmation Is Required."
                                Display="Dynamic" resourcekey="_valConfirm1" />
                            <asp:CompareValidator ID="_valConfirm2" runat="server" CssClass="NormalRed" ControlToValidate="_txtConfirm"
                                ErrorMessage="<br>Password Values Entered Do Not Match." Display="Dynamic" resourcekey="_valConfirm2"
                                ControlToCompare="_txtPassword" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead">
                            <dnn:label id="lblAuthorized" runat="server" />
                        </td>
                        <td>
                            <asp:CheckBox ID="_chkAuthorized" TabIndex="7" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            <asp:LinkButton ID="_lnkUpdateUserInfo" runat="server" CssClass="CommandButton" resourcekey="_lnkUpdate" 
                                ValidationGroup="gruUserInfo" /><br />
                            <asp:Label ID="_lblUpdatedUserInfo" resourcekey="_lblUpdatedUserInfo" runat="server" CssClass="Normal" Visible="false" ForeColor="Green" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead">
                            <dnn:label id="lblLbNewUsername" runat="server" resource="width" controlname="_tbxNewName" suffix=":" />
                        </td>
                        <td>
                            <asp:TextBox ID="_tbxNewName" TabIndex="20" runat="server" CssClass="NormalTextBox" MaxLength="100" size="25" />
                        </td>
                    </tr>
                    <tr>
                        <td id="_msgRnmUser" colspan="2" runat="server">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center">
                            <asp:LinkButton ID="_lnkRenameUser" runat="server" CssClass="CommandButton" resourcekey="cmdRenameUser" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <dnn:sectionhead id="dshProfile" includerule="True" resourcekey="dshProfile" IsExpanded="false"
                    section="_tblProfile" text="Primary Users" cssclass="Head" runat="server" />
                <table id="_tblProfile" runat="server">
                    <tr>
                        <td>
                            <dnn:ProfileEditorControl id="_ctlProfile" runat="Server" 
                                editcontrolstyle-cssclass="NormalTextBox"
                                errorstyle-cssclass="NormalRed" groupHeaderStyle-cssclass="Head"
                                helpstyle-cssclass="Help" labelstyle-cssclass="SubHead"
                                groupHeaderIncludeRule="True" 
                                groupByMode="Section" 
                                enableClientValidation = "true"
                                visibilitystyle-cssclass="Normal" editcontrolwidth="525px" labelwidth="150px"
                                width="675px" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center">
                            <asp:LinkButton ID="_lnkUpdateProfile" runat="server" CssClass="CommandButton" resourcekey="_lnkUpdate" /><br />
                            <asp:Label ID="_lblUpdatedUserProfile" resourcekey="_lblUpdatedUserProfile" runat="server" CssClass="Normal" Visible="false" ForeColor="Green" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td id="_tdRoles" runat="server">
                <dnn:sectionhead id="dshRoles" includerule="True" resourcekey="dshRoles" IsExpanded="false"
                    section="_tblRoles" text="Primary Users" cssclass="Head" runat="server" />
                <table id="_tblRoles" runat="server">
                    <tr id="_trAddRole" runat="server">
                        <td>
                            <asp:DropDownList ID="_ddlRoles" CssClass="NormalTextBox" runat="server" DataValueField="RoleId"
                                DataTextField="RoleName" Width="150" AutoPostBack="true" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txbEffectiveDate" CssClass="NormalTextBox" runat="server" Width="80" />
                            <asp:HyperLink ID="_hypEffectiveCalendar" CssClass="CommandButton" runat="server" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txbExpiryDate" CssClass="NormalTextBox" runat="server" Width="80"></asp:TextBox>
                            <asp:HyperLink ID="_hypExpiryCalendar" CssClass="CommandButton" runat="server" />
                        </td>
                        <td>
                            <dnn:commandbutton id="_cmbAdd" cssclass="CommandButton" runat="server" ImageUrl="~/images/add.gif" CausesValidation="true" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            <asp:CheckBox ID="_chkNotify" resourcekey="_chkNotify" runat="server" CssClass="Normal" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            <asp:DataGrid ID="_grdUserRoles" runat="server" Width="100%" GridLines="None" BorderWidth="0px"
                                BorderStyle="None" DataKeyField="RoleID" summary="Security Roles Design Table"
                                EnableViewState="true" AutoGenerateColumns="false" CellSpacing="0" CellPadding="4" >
                                <HeaderStyle CssClass="NormalBold" />
                                <ItemStyle CssClass="Normal" />
                                <Columns>
                                    <asp:TemplateColumn>
                                        <ItemTemplate>
                                            <!-- [DNN-4285] Hide the button if the user cannot be removed from the role -->
                                            <asp:ImageButton ID="cmdDeleteUserRole" runat="server" AlternateText="Delete" CausesValidation="False"
                                                CommandName="Delete" ImageUrl="~/images/delete.gif" resourcekey="cmdDelete" >
                                            </asp:ImageButton>
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                    <asp:BoundColumn DataField="RoleName" HeaderText="SecurityRole" />
                                    <asp:TemplateColumn HeaderText="EffectiveDate">
                                        <ItemTemplate>
                                            <asp:Label runat="server" ID="_lblDateFrom" CssClass="Normal" 
                                                text='<%#FormatDate(DataBinder.Eval(Container.DataItem, "EffectiveDate").ToString()) %>' />
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                    <asp:TemplateColumn HeaderText="ExpiryDate">
                                        <ItemTemplate>
                                            <asp:Label runat="server" CssClass="Normal" ID="_lblDateTo"
                                                text='<%#FormatDate(DataBinder.Eval(Container.DataItem, "ExpiryDate").ToString()) %>' />
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                </Columns>
                            </asp:DataGrid>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" align="center">
                            <asp:Label ID="_lblUpdatedUserRoles" resourcekey="_lblUpdatedUserRoles" runat="server" CssClass="Normal" Visible="false" ForeColor="Green" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

<%--  </contenttemplate>
    <triggers>
    <asp:AsyncPostBackTrigger ControlID="_grdUserRoles" />
    <asp:AsyncPostBackTrigger ControlID="_ddlRoles" />
    <asp:AsyncPostBackTrigger ControlID="_cmbAdd" />
    <asp:AsyncPostBackTrigger ControlID="_lnkUpdateProfile" />
    <asp:AsyncPostBackTrigger ControlID="_lnkRenameUser" />
    <asp:AsyncPostBackTrigger ControlID="_lnkUpdateUserInfo" />
     </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="_upEditUser">
    <progresstemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </progresstemplate>
</asp:UpdateProgress>
--%>