<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="cc1" Namespace="DotNetNuke.Services.Exceptions" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="ManageTemplatesESMDI.ascx.cs"
    Inherits="DNNMasters.ExtSrcMembershipImport.ManageTemplatesESMDI" EnableViewState="True"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie5" Debug="False" %>
<asp:Panel ID="pnlTemplateControl" runat="server" Width="387px" Height="30px">
    &nbsp;
    <table id="tblDetails" style="width: 520px;" cellspacing="0" cellpadding="0" summary="Appearance Design Table"
        border="0" runat="server">
        <tr>
            <td class="SubHead" width="200">
                <asp:DropDownList ID="cmbTemplateList" Width="216px" runat="server" AutoPostBack="True"
                    EnableViewState="true">
                </asp:DropDownList>
            </td>
            <td class="SubHead" style="padding-left: 15px;">
                <asp:LinkButton ID="cmdManageTemplates" runat="server" CausesValidation="False" CssClass="CommandButton"
                    resourcekey="cmdManageTemplates">Manage Templates (Advanced View)</asp:LinkButton>
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel ID="pnlTemplateList" runat="server" Width="456px" Height="231px" Visible="False">
    &nbsp;
    <table class="Head" id="Table1" cellspacing="2" cellpadding="2" width="520" summary="Module Settings Design Table"
        border="0" runat="server">
        <tr>
            <td valign="top" width="560">
                <asp:Panel ID="pnlAddTemplate" runat="server" HorizontalAlign="Justify" BorderWidth="0px">
                    <table id="tblTemplateEdit" style="width: 280px; height: 24px" cellspacing="0" cellpadding="0"
                        border="0" runat="server">
                        <tr>
                            <td nowrap align="center">
                                <asp:RegularExpressionValidator ID="revTxtNewName" Width="213px" runat="server" CssClass="NormaBold"
                                    BackColor="White" ValidationExpression="^(\w[\w].*)+$" ControlToValidate="txtNewTemplate"
                                    ErrorMessage="Please enter a valid filename"></asp:RegularExpressionValidator>
                            </td>
                            <td style="width: 229px" nowrap align="center">
                                &nbsp;&nbsp;
                                <asp:TextBox ID="txtNewTemplate" runat="server" MaxLength="255" Wrap="False"></asp:TextBox>&nbsp;
                                <asp:LinkButton ID="cmdAddNewTemplate" runat="server" CssClass="NormalBold">Add</asp:LinkButton>&nbsp;&nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:DataGrid ID="grdTemplateFiles" Height="48px" Width="504px" runat="server" EnableViewState="False"
                    BorderWidth="1px" BackColor="White" PageSize="5" AllowPaging="True" summary="Manage Templates Table"
                    AutoGenerateColumns="False" CellPadding="2" BorderColor="#CCCCCC" BorderStyle="None">
                    <SelectedItemStyle Font-Size="XX-Small" Font-Bold="True" ForeColor="White" BorderStyle="Dashed"
                        CssClass="NormalBold" BackColor="Silver"></SelectedItemStyle>
                    <EditItemStyle Font-Size="X-Small"></EditItemStyle>
                    <AlternatingItemStyle Font-Size="XX-Small" BackColor="WhiteSmoke"></AlternatingItemStyle>
                    <ItemStyle Font-Size="XX-Small"></ItemStyle>
                    <HeaderStyle Font-Size="XX-Small" Font-Bold="True" HorizontalAlign="Center" ForeColor="White"
                        VerticalAlign="Middle" BackColor="#8ab528"></HeaderStyle>
                    <Columns>
                        <asp:TemplateColumn>
                            <ItemTemplate>
                                <asp:LinkButton ID="cmdEditTemplate" runat="server" CausesValidation="false" CommandName="Edit"
                                    Text="Edit"></asp:LinkButton>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:LinkButton ID="cmdEditSaveTemplate" runat="server" CommandName="Update" Text="Update"></asp:LinkButton>&nbsp;
                                <asp:LinkButton ID="cmdEditCancelTemplate" runat="server" CausesValidation="false"
                                    CommandName="Cancel" Text="Cancel"></asp:LinkButton>
                            </EditItemTemplate>
                            <ItemStyle Font-Size="10px" HorizontalAlign="Center" CssClass="NormalBold" VerticalAlign="Middle">
                            </ItemStyle>
                        </asp:TemplateColumn>
                        <asp:TemplateColumn HeaderText="Name">
                            <ItemTemplate>
                                <asp:Label ID="lblTemplateName" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.FileName") %>'>
                                </asp:Label>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:RegularExpressionValidator Font-Size="8px" ID="Regularexpressionvalidator1"
                                    Width="213px" runat="server" CssClass="NormaBold" BackColor="White" ValidationExpression="^(\w[\w].*)+$"
                                    ControlToValidate="txtTemplateFileName" ErrorMessage="Please enter a valid filename"></asp:RegularExpressionValidator>
                                <asp:TextBox EnableViewState="True" ID="txtTemplateFileName" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.FileName") %>'>
                                </asp:TextBox>
                            </EditItemTemplate>
                        </asp:TemplateColumn>
                        <asp:TemplateColumn Visible="false" HeaderText="FilePath">
                            <ItemTemplate>
                                <asp:Label ID="lblFilePath" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.FilePath") %>'>
                                </asp:Label>
                            </ItemTemplate>
                        </asp:TemplateColumn>
                        <asp:BoundColumn DataField="FileSize" ReadOnly="True" HeaderText="File Size">
                            <HeaderStyle Font-Size="10pt" Wrap="False" HorizontalAlign="Center" Width="45px"
                                CssClass="NormalBold"></HeaderStyle>
                            <ItemStyle Font-Size="8pt" Wrap="False" CssClass="Normal"></ItemStyle>
                        </asp:BoundColumn>
                        <asp:BoundColumn DataField="CreatedDate" ReadOnly="True" HeaderText="Creation Date">
                            <HeaderStyle Font-Size="10pt" Wrap="False" HorizontalAlign="Center" Width="95px"
                                CssClass="NormalBold"></HeaderStyle>
                            <ItemStyle Font-Size="8pt" Wrap="False" HorizontalAlign="Right" CssClass="Normal">
                            </ItemStyle>
                        </asp:BoundColumn>
                        <asp:BoundColumn DataField="ModifiedDate" ReadOnly="True" HeaderText="Last Change Date">
                            <HeaderStyle Font-Size="10pt" Wrap="False" HorizontalAlign="Center" Width="95px"
                                CssClass="NormalBold"></HeaderStyle>
                            <ItemStyle Font-Size="8pt" Wrap="False" HorizontalAlign="Right" CssClass="Normal">
                            </ItemStyle>
                        </asp:BoundColumn>
                        <asp:TemplateColumn HeaderText="Restore content from file">
                            <ItemTemplate>
                                <asp:LinkButton ID="cmdLoadTemplate" runat="server" Text="Restore" CausesValidation="false"
                                    CommandName="Restore"></asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle Font-Size="10px" HorizontalAlign="Center" CssClass="NormalBold" VerticalAlign="Middle">
                            </ItemStyle>
                            <HeaderStyle Font-Size="9px" Font-Italic="True" HorizontalAlign="Center" Width="30px">
                            </HeaderStyle>
                        </asp:TemplateColumn>
                        <asp:TemplateColumn HeaderText="Store present values to file">
                            <HeaderStyle Font-Size="9px" Font-Italic="True" HorizontalAlign="Center" Width="30px">
                            </HeaderStyle>
                            <ItemStyle Font-Size="10px" HorizontalAlign="Center" CssClass="NormalBold" VerticalAlign="Middle">
                            </ItemStyle>
                            <ItemTemplate>
                                <asp:LinkButton ID="cmdUpdateTemplate" runat="server" CausesValidation="false" CommandName="Store"
                                    Text="Store"></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateColumn>
                        <asp:ButtonColumn Text="Delete" CommandName="Delete">
                            <HeaderStyle Font-Size="10pt" HorizontalAlign="Center" Width="30px"></HeaderStyle>
                            <ItemStyle Font-Size="10px" HorizontalAlign="Center" CssClass="NormalBold" VerticalAlign="Middle">
                            </ItemStyle>
                        </asp:ButtonColumn>
                    </Columns>
                    <PagerStyle VerticalAlign="Middle" NextPageText="NEXT" Font-Size="12px" Font-Bold="True"
                        PrevPageText="PREV" BorderStyle="Ridge" HorizontalAlign="Justify" CssClass="NormalBold"
                        Mode="NumericPages"></PagerStyle>
                </asp:DataGrid>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:LinkButton ID="cmdTemplateMinimal" runat="server" CssClass="CommandButton" resourcekey="cmdTemplateMinimal" Text="Back" />
            </td>
        </tr>
    </table>
    
</asp:Panel>
