<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_Globals.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_Globals" %>
<asp:UpdatePanel ID="_upGlobals" runat="server" ChildrenAsTriggers="True" UpdateMode="Conditional">
    <contenttemplate>

<table cellspacing="2" cellpadding="2" border="0">
    <tr valign="middle">
        <td class="SubHead" align="left">
            <dnn:Label ID="lblWidth" resource="width" ControlName="" Suffix=":" runat="server">
            </dnn:Label>
        </td>
        <td class="SubHead" colspan="2">
            <asp:TextBox ID="_txtWidth" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr valign="middle">
        <td class="SubHead" align="left">
            <dnn:Label ID="lblHeight" resource="height" ControlName="" Suffix=":" runat="server">
            </dnn:Label>
        </td>
        <td class="SubHead" colspan="2">
            <asp:TextBox ID="_txtHeight" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr valign="middle">
        <td class="SubHead" align="left">
            <dnn:Label ID="lblPageSize" resource="width" ControlName="" Suffix=":" runat="server">
            </dnn:Label>
        </td>
        <td class="SubHead" colspan="2">
            <asp:TextBox ID="_txtPageSize" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblRoles" resource="roles" ControlName="" Suffix=":" runat="server">
            </dnn:Label>
        </td>
        <td class="SubHead">
            <asp:RadioButtonList ID="_rblOperator" runat="server" CssClass="NormalTextBox" RepeatDirection="Horizontal">
                <asp:ListItem Value="AND">AND</asp:ListItem>
                <asp:ListItem Value="OR">OR</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblEditProfileVisibility" resource="roles" ControlName="" Suffix=":" runat="server" />
        </td>
        <td class="SubHead">
            <asp:CheckBox ID="_chkEditProfileVisibility" CssClass="Normal" runat="server" />
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <br />
            <asp:LinkButton ID="_lnkSave" resourcekey="_lnkSave" runat="server" CssClass="dnnPrimaryAction" ValidationGroup="grpGlobals" /><br />
            <asp:Label ID="_lblGlobalsSaved" resourcekey="_lblGlobalsSaved" runat="server" Visible="false" 
                CssClass="Normal" />
        </td>
    </tr>
</table>

  </contenttemplate>
</asp:UpdatePanel>
<asp:UpdateProgress ID="_upsGlobals" runat="server" AssociatedUpdatePanelID="_upGlobals">
    <progresstemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </progresstemplate>
</asp:UpdateProgress>